summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJames Henstridge <james@jamesh.id.au>2004-11-10 07:59:38 +0000
committerJames Henstridge <jamesh@src.gnome.org>2004-11-10 07:59:38 +0000
commitbc9e517842177250ffd708da9e89484eab89c842 (patch)
tree9387022c50249419f0c4e5ae485686a94e817f56 /autogen.sh
parentf3743bc49409de3cf56463a6f57adc9f29623539 (diff)
downloadmutter-bc9e517842177250ffd708da9e89484eab89c842.tar.gz
remove intltool stuff on distclean.
2004-11-10 James Henstridge <james@jamesh.id.au> * Makefile.am (DISTCLEANFILES): remove intltool stuff on distclean. * src/themes/Makefile.am (uninstall-local): add uninstall rule. * src/Makefile.am (libmetacity_private_la_CFLAGS): set this variable so that the files shared with metacity get compiled with different names. * configure.in: use more modern macros in some places, and make sure that $ACLOCAL_AMFLAGS is set so that rebuilds work better. * autogen.sh (conf_flags): use newer automake.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh115
1 files changed, 51 insertions, 64 deletions
diff --git a/autogen.sh b/autogen.sh
index ca19b073a..d22053fe1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,35 +12,36 @@ FILE=src/display.c
DIE=0
-AUTOMAKE=automake-1.4
-ACLOCAL=aclocal-1.4
-
-($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
- AUTOMAKE=automake
- ACLOCAL=aclocal
-}
-
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
DIE=1
}
-($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://sourceware.cygnus.com/pub/automake/automake-1.4.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
+if automake-1.9 --version < /dev/null > /dev/null 2>&1; then
+ AUTOMAKE=automake-1.9
+ ACLOCAL=aclocal-1.9
+elif automake-1.8 --version < /dev/null > /dev/null 2>&1; then
+ AUTOMAKE=automake-1.8
+ ACLOCAL=aclocal-1.8
+elif automake-1.7 --version < /dev/null > /dev/null 2>&1; then
+ AUTOMAKE=automake-1.7
+ ACLOCAL=aclocal-1.7
+else
+ echo
+ echo "You must have automake >= 1.7 installed to compile $PROJECT."
+ echo "Get http://ftp.gnu.org/gnu/automake/automake-1.9.3.tar.bz2"
+ echo "(or a newer version if it is available)"
+ DIE=1
+fi
(grep "^AM_PROG_LIBTOOL" configure.in >/dev/null) && {
(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`libtool' installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
+ echo "Get http://ftp.gnu.org/gnu/libtool/libtool-1.5.10.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
}
@@ -84,10 +85,7 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-case $CC in
-*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
-esac
-
+topdir=`pwd`
for coin in .
do
dr=`dirname $coin`
@@ -95,51 +93,40 @@ do
echo skipping $dr -- flagged as no auto-gen
else
echo processing $dr
- macrodirs=`sed -n -e 's,AM_ACLOCAL_INCLUDE(\(.*\)),\1,gp' < $coin`
- ( cd $dr
- aclocalinclude="$ACLOCAL_FLAGS"
- for k in $macrodirs; do
- if test -d $k; then
- aclocalinclude="$aclocalinclude -I $k"
- ##else
- ## echo "**Warning**: No such directory \`$k'. Ignored."
- fi
- done
- if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
- if grep "sed.*POTFILES" configure.in >/dev/null; then
- : do nothing -- we still have an old unmodified configure.in
- else
- echo "Creating $dr/aclocal.m4 ..."
- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
- echo "Running glib-gettextize... Ignore non-fatal messages."
- echo "no" | glib-gettextize --force --copy
- echo "Making $dr/aclocal.m4 writable ..."
- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
- fi
- fi
- if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
- echo "Running intltoolize..."
- intltoolize --force --copy --automake
- fi
- if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
- echo "Running libtoolize..."
- libtoolize --force --copy
- fi
-
- echo "Running $ACLOCAL $aclocalinclude ..."
- $ACLOCAL $aclocalinclude
-
- if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
- echo "Running autoheader..."
- autoheader
+ cd $dr
+ if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+ if grep "sed.*POTFILES" configure.in >/dev/null; then
+ : do nothing -- we still have an old unmodified configure.in
+ else
+ echo "Creating $dr/aclocal.m4 ..."
+ test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+ echo "Running glib-gettextize... Ignore non-fatal messages."
+ echo "no" | glib-gettextize --force --copy || exit $?
+ echo "Making $dr/aclocal.m4 writable ..."
+ test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
+ fi
+ if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
+ echo "Running intltoolize..."
+ intltoolize --force --copy --automake || exit $?
+ fi
+ if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
+ echo "Running libtoolize..."
+ libtoolize --force --copy || exit $?
+ fi
- echo "Running $AUTOMAKE --gnu $am_opt ..."
- $AUTOMAKE --add-missing --gnu $am_opt
+ echo "Running $ACLOCAL $ACLOCAL_FLAGS ..."
+ $ACLOCAL $ACLOCAL_FLAGS || exit $?
+ echo "Running autoconf ..."
+ autoconf || exit $?
+ if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
+ echo "Running autoheader..."
+ autoheader || exit $?
+ fi
+ echo "Running $AUTOMAKE..."
+ $AUTOMAKE --add-missing --force --gnu || exit $?
- echo "Running autoconf ..."
- autoconf
- )
+ cd $topdir
fi
done
@@ -150,7 +137,7 @@ cd "$ORIGDIR"
if test x$NOCONFIGURE = x; then
echo Running $srcdir/configure $conf_flags "$@" ...
$srcdir/configure $conf_flags "$@" \
- && echo Now type \`make\' to compile $PROJECT || exit 1
+ && echo Now type \`make\' to compile $PROJECT || exit $?
else
echo Skipping configure process.
fi